# Introduction

This document provides instructions on how to interact with the MagneFlex Browser.

#### 1.1 About the MagneFlex Browser WEB API <a href="#bookmark3" id="bookmark3"></a>

The MagneFlex Browser, available from MagTek, is a full-function HTML browser application that is integrated with driver applications that allow the control of a set of MagTek payment card readers.

#### 1.2 Nomenclature <a href="#bookmark4" id="bookmark4"></a>

In this document, the following nomenclature are used strictly as follows:

* Device refers to the MagTek device (eg. Dynamag, DynaPro, MICRSafe) that receives and responds to the command set specified in this document.
* Host refers to the piece of general-purpose electronic equipment the device is connected. Host types include PC and Mac computers/laptops, tablets, and smartphones.
* User refers to the cardholder.
* Web App refers to the application provided by the integrator of MagneFlex Browser. The web app will communicate with the MagneFlex browser via query strings. MagneFlex then controls and obtains data from the MagTek device.
* Query string refers to the web app’s interface to MagneFlex WEB API sent as an HTTP request. The query string is added to the base URL. This string contains field-value pairs referred to as parameters and begins after the question mark character “?” at the end of the base URL. Each parameter is defined in the parameter table for each resource of the MagneFlex WEB API. In the following example, the place holder for field will be listed in the parameter column of the table and value will be explained in the description column.

Example query:

<https://192.168.10.100/magneflexdemo/default.aspx?field=value>

Postback refers to the response from a request or command from the device. The web app shall consume the postback. MagneFlex sends the postback in two forms.

* HTTP GET - returns the response data in the form of a query string.
* HTTP POST - returns the response data in the form of a body message. POST is recommended for EVM related transactions or commands of lengthy response to accommodate limits on query string lengths.

#### 1.3 System Requirements <a href="#bookmark5" id="bookmark5"></a>

Tested operating systems:

* iOS 8 to iOS 10
* Windows 7, 8.1, 10

#### 1.4 Interfaces for Operating Systems <a href="#bookmark6" id="bookmark6"></a>

The following table matches the device interface to operating system.

<table data-header-hidden><thead><tr><th width="149.9090576171875" valign="top"></th><th width="206.272705078125" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Device</td><td valign="top">Interface</td><td valign="top">Operating System</td></tr><tr><td valign="top">DynaPro Mini</td><td valign="top">Bluetooth LE</td><td valign="top"><p>iOS 8 – 10</p><p>Windows 8.1, 10</p></td></tr><tr><td valign="top">USB</td><td valign="top"><p>iOS 8 – 10</p><p>Windows 7, 8.1, 10</p></td><td valign="top"></td></tr><tr><td valign="top">DynaPro</td><td valign="top">Ethernet</td><td valign="top"><p>iOS 8 – 10</p><p>Windows 7, 8.1, 10</p></td></tr><tr><td valign="top">USB</td><td valign="top"><p>iOS 8 – 10</p><p>Windows 7, 8.1, 10</p></td><td valign="top"></td></tr><tr><td valign="top">DynaMAX</td><td valign="top">Bluetooth LE</td><td valign="top"><p>iOS 8 – 10</p><p>Windows 8.1, 10</p></td></tr><tr><td valign="top">USB</td><td valign="top"><p>iOS 8 – 10</p><p>Windows 7, 8.1, 10</p></td><td valign="top"></td></tr><tr><td valign="top">eDynamo</td><td valign="top">Bluetooth LE</td><td valign="top"><p>iOS 8 – 10</p><p>Windows 8.1, 10</p></td></tr><tr><td valign="top">USB</td><td valign="top"><p>iOS 8 – 10</p><p>Windows 7, 8.1, 10</p></td><td valign="top"></td></tr><tr><td valign="top">iDynamo</td><td valign="top">Lightning</td><td valign="top">iOS 8 – 10</td></tr><tr><td valign="top">uDynamo</td><td valign="top">Audio</td><td valign="top"><p>iOS 8 – 10</p><p>Windows 7, 8.1, 10</p></td></tr><tr><td valign="top">MICRSafe</td><td valign="top">USB</td><td valign="top">Windows 7, 8.1, 10</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/magneflex-browser-programmers-reference/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
